Skip to content

notifications

Scout API 1.0.0 — see schemas for shared types.

GET /api/notifications

list_notifications

Parameters

Name In Type Required Description
status query NotificationListFilter | null no

Responses

DELETE /api/notifications/endpoints

delete_notification_endpoint

Request body

Content-Type: application/json

Schema: NotificationEndpointBody

Responses

POST /api/notifications/endpoints

register_notification_endpoint

Request body

Content-Type: application/json

Schema: NotificationEndpointBody

Responses

GET /api/notifications/preferences

get_notification_preferences

Responses

PUT /api/notifications/preferences

update_notification_preferences

Request body

Content-Type: application/json

Schema: UpdateNotificationPreferencesBody

Responses

PUT /api/notifications/read-all

mark_all_notifications_read

Responses

POST /api/notifications/send

send_notification

Request body

Content-Type: application/json

Schema: SendNotificationRequest

Responses

GET /api/notifications/unread-count

get_unread_notifications_count

Responses

DELETE /api/notifications/{notification_id}

delete_notification

Parameters

Name In Type Required Description
notification_id path string (uuid) yes

Responses

  • 204 — No Content
  • 422 — Unprocessable Content
  • application/jsonValidationError

PUT /api/notifications/{notification_id}/read

mark_notification_read

Parameters

Name In Type Required Description
notification_id path string (uuid) yes

Responses